<!DOCTYPE html>
<html dir="ltr" lang="en" theme="dark">
  <head>
    <meta charset="utf-8">
    <title>UI-kaitek</title>
    <meta name="Description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, viewport-fit=cover">
    <meta name="theme-color" content="#16161d">
    <meta name="mobile-web-app-capable" content="yes">
    <meta http-equiv="x-ua-compatible" content="IE=Edge">
    <meta name="_csrf" content="c6d5ec85c2e7107ce0947b313bb99bcdecb064c0040d453b598a93b4f9b61d4f">

    <script type="module" src="./build/ui-kaitek.esm.js"></script>
    <script nomodule src="./build/ui-kaitek.js"></script>
    <link href="./build/ui-kaitek.css" rel="stylesheet">

    <link rel="apple-touch-icon" href="./assets/icon/icon.png">
    <link rel="icon" type="image/x-icon" href="./assets/icon/favicon.ico">
    <link rel="manifest" href="./manifest.json">
  </head>
  <body style="overflow:hidden;">
    <script>
      //var el_csrf = document.querySelector("meta[name='_csrf']");
      //if(el_csrf){
      //  console.log(el_csrf.getAttribute("content"));
      //}else{
      //  console.log(24)
      //}
      //var xhttp = new XMLHttpRequest();
      //xhttp.onreadystatechange = function () {
      //  if (this.readyState == 4 && this.status == 200) {
      //    // Typical action to be performed when the document is ready:
      //    document.getElementById("demo").innerHTML = xhttp.responseText;
      //  }
      //};
      // app-empty

      // app-query-builder
      // app-report-designer
      // app-report-viewer

      // app-bank
      // app-bank-receipt
      // app-case
      // app-case-receipt
      // app-customer
      // app-customer-receipt
      // app-invoice-buy
      // app-invoice-sell
      // app-menu
      // app-permission
      // app-root
      // app-stock
      // app-stock-receipt
      // app-user

      // ui-file-manager
      // ui-grid
      // ui-grid-editable
      // ui-login
      // ui-pagebar
      // ui-query-builder
      // ui-tree
      // ui-upload
      const cmp='app-report-designer';
      (async () => {
        await customElements.whenDefined(cmp);
        const appRoot = document.querySelector(cmp);
        window.appRoot=appRoot;
        //appRoot.addEventListener('rtAppEvent', (event) => {
        //  //this.emitter(event.detail);
        //  xhttp.open("GET", "filename", true);
        //  xhttp.send();
        //});
      })();
      var component=document.createElement(cmp);
      document.body.appendChild(component);
    </script>
  </body>
</html>
